<h1 class="container__title">Tiendas Afiliadas</h1>
<div *ngIf="loaded" class="container">
    <mat-card *ngFor="let commerce of commerces" class="commerce_card">
        <mat-card-header>
            <div mat-card-avatar [ngStyle]="{'background-image': 'url(' + commerce.logo + ')'}" class="commerce_card__logo"></div>
            <mat-card-title class="commerce_card__title">{{commerce.name.split("-").join(" ")}}</mat-card-title>
            <mat-card-subtitle class="commerce_card__subtitle"><span *ngFor="let typ of commerce.type">{{typ}} </span></mat-card-subtitle>
        </mat-card-header>
        <img mat-card-image [src]="commerce.image">
        <mat-card-content style="text-align: center;">
            <span class="commerce_card__delivery" mat-line *ngIf="commerce.delivery_service">
                <b>Este comercio cuenta con servicio a domicilio</b>
            </span>
            <h4 class="commerce_card__title">
                <b>
                    U b i c a c i ó n
                </b>
            </h4>
            <p class="commerce_card__text">
                {{commerce.location}}
            </p>
            <h4 class="commerce_card__title">
                <b>
                    D e s c r i p c i ó n
                </b>
            </h4>
            <p class="commerce_card__text">
                {{commerce.description}}
            </p>
        </mat-card-content>
        <mat-card-actions>
            <button mat-button 
            [routerLink]="[commerce.name]" 
            routerLinkActive="router-link-active">
                Entrar a tienda
            </button>
            <!-- <button mat-button>
                Compartir tienda
            </button> -->
        </mat-card-actions>
    </mat-card>
</div>
<div style="text-align: center;" *ngIf="!loaded">
    Espera un momento
    <mat-spinner class="container__spinner"></mat-spinner>
</div>